import { jsx } from "react/jsx-runtime";
import NumberFlow, { NumberFlowGroup } from "@number-flow/react";
import { Box } from "../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.mjs";
function AnimatedNumber({ value, ...props }) {
  return /* @__PURE__ */ jsx(Box, { component: NumberFlow, value, ...props });
}
function AnimatedNumberGroup({ children, ...props }) {
  return /* @__PURE__ */ jsx(Box, { component: NumberFlowGroup, ...props, children });
}
AnimatedNumber.Group = AnimatedNumberGroup;
export {
  AnimatedNumber
};
